5.2.0-git
04/20/2014

[#8408] Create a Horde .ami image
Summary Create a Horde .ami image
Queue Horde Base
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 07/05/2009 (1750 days ago)
Due
Updated 01/30/2013 (445 days ago)
Assigned
Resolved 01/30/2013 (445 days ago)
Milestone
Patch No

History
01/30/2013 09:16:47 PM Ralf Lang (B1 Systems GmbH) Comment #5 Reply to this comment
"Is there any way to (semi-)automate this build when we do a new
groupware release?"

Yes, it's possible. I run a script which re-packages horde pear 
packages to rpm as they pop up in the channel. I can add a build 
target "image" to obs which builds essentially the same VM  as the 
SUSE Studio. The pro is the automation. No need to manually trigger 
the build. The con is there is no nice GUI - I'd have to provide and 
update a download link on my own. But since the obs has an API, it may 
be scriptable.
01/30/2013 05:15:09 PM Jan Schneider Comment #4
State ⇒ Resolved
Reply to this comment
Probably outdated due to the current suse build service stuff.
07/01/2011 10:18:08 AM Jan Schneider Comment #3
State ⇒ Feedback
Version ⇒ Git master
Reply to this comment
Seems to work fine so far. I suggest that you switch over to install 
the Groupware, now that is has been released. It might be easiest to 
run the install script with expect.
Of course the missing IMAP server has to be installed too at some 
point. Big bonus points for SQL integration so that new users can be 
added through the Horde user management.
Is there any way to (semi-)automate this build when we do a new 
groupware release?
05/18/2011 09:39:15 PM Ralf Lang (B1 Systems GmbH) Comment #2 Reply to this comment
Create a .ami for Horde so that people can try Horde out on EC2 with 
no additional setup.
Your wish is my command. I have built today's releases into a demo 
appliance for EC2, xen, vmdk & other formats

See http://susegallery.com/a/BZ4vzQ/kde4-horde4-demo-setup

07/05/2009 10:18:55 PM Chuck Hagenbuch Comment #1
State ⇒ Accepted
Patch ⇒ No
Milestone ⇒
Queue ⇒ Horde Base
Summary ⇒ Create a Horde .ami image
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
Create a .ami for Horde so that people can try Horde out on EC2 with 
no additional setup.